import type { Generic } from 'adopted-style-sheets';
import type { PropHref, PropLabel } from '../props';
export declare const koliBriQuoteVariantOptions: readonly ["block", "inline"];
export type KoliBriQuoteVariant = (typeof koliBriQuoteVariantOptions)[number];
type RequiredProps = {
    quote: string;
} & PropHref;
type OptionalProps = {
    variant: KoliBriQuoteVariant;
} & PropLabel;
type RequiredStates = {
    quote: string;
    variant: KoliBriQuoteVariant;
} & PropHref;
type OptionalStates = PropLabel;
export type QuoteProps = Generic.Element.Members<RequiredProps, OptionalProps>;
export type QuoteStates = Generic.Element.Members<RequiredStates, OptionalStates>;
export type QuoteAPI = Generic.Element.ComponentApi<RequiredProps, OptionalProps, RequiredStates, OptionalStates>;
export {};
